## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname imageio

Name: python-%{srcname}
Version: 2.28.1
Release: %autorelease
Summary: Python IO of image, video, scientific, and volumetric data formats.
License: BSD-2-Clause
URL: https://imageio.github.io
Source0: %{pypi_source}

BuildArch: noarch
BuildRequires: python3-devel

%global _description %{expand:
Imageio is a Python library that provides an easy interface to read and write a wide range of image data, including animated images, volumetric data, and scientific formats.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
BuildRequires: python3-setuptools

%description -n python3-%{srcname}
%_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files imageio

%check
# Testing requires image sample, either local or from the internet
%pyproject_check_import -t

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md 
# Exclude files that download binary freeimage library
%exclude %{_bindir}/imageio*

%changelog
* Tue May 02 2023 Sergio Pascual <sergiopr@fis.ucm.es> 2.28.1-1
- New upstream source (2.28.1)
- Migrated to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.22.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Sergio Pascual <sergiopr@fis.ucm.es> 2.22.4-1
- New upstream source (2.22.4)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 2.9.0-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 2.9.0-2
- Rebuilt for Python 3.10

* Thu Feb 11 2021 Sergio Pascual <sergiopr@fis.ucm.es> 2.9.0-1
- Initial import (#1925053).
